package com.logicbig.example;

import org.springframework.context.annotation.AnnotationConfigApplicationContext;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.PropertySource;
import org.springframework.core.env.ConfigurableEnvironment;

@Configuration
@PropertySource("classpath:app.properties")
public class UserPropertySourceExample {
    public static void main(String[] args) {
        AnnotationConfigApplicationContext context =
                new AnnotationConfigApplicationContext(UserPropertySourceExample.class);
        ConfigurableEnvironment env = context.getEnvironment();
        System.out.println("property sources:" + env.getPropertySources());
        String contactPerson = env.getProperty("contact-person");
        System.out.println("contact-person: " + contactPerson);
    }
}